import * as React from "react"
import { render } from "@react-email/render"

import AutomationEmail, { type AutomationEmailProps } from "../emails/automation-email"
import SimpleNotificationEmail, { type SimpleNotificationEmailProps } from "../emails/simple-notification-email"

export type { AutomationEmailProps, SimpleNotificationEmailProps }

export async function renderAutomationEmailHtml(props: AutomationEmailProps) {
  return render(<AutomationEmail {...props} />, { pretty: false })
}

export async function renderSimpleNotificationEmailHtml(props: SimpleNotificationEmailProps) {
  return render(<SimpleNotificationEmail {...props} />, { pretty: false })
}
